Bug 587553 - [abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib/firefox-3.5/firefox wa...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:97bff023a190dff75d80f541be5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-30 09:08 UTC by alan merriman
Modified: 2010-12-03 15:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 15:15:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (55.79 KB, text/plain)
2010-04-30 09:08 UTC, alan merriman
no flags Details

Description alan merriman 2010-04-30 09:08:06 UTC
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.5/firefox
component: firefox
executable: /usr/lib/firefox-3.5/firefox
global_uuid: 97bff023a190dff75d80f541be54779a55c242ff
kernel: 2.6.32.11-99.fc12.i686
package: firefox-3.5.9-2.fc12
rating: 4
reason: Process /usr/lib/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1.Browsing then crashed
2.
3.

Comment 1 alan merriman 2010-04-30 09:08:12 UTC
Created attachment 410343 [details]
File: backtrace

Comment 2 Chris Campbell 2010-05-08 13:30:07 UTC
#3  <signal handler called>
No symbol table info available.
#4  canonicalize (in=0x91001b60) at nsCycleCollector.cpp:1161
        child = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
#5  0x0191cbb6 in GCGraphBuilder::NoteXPCOMChild (this=0xbff7146c, 
    child=0x91001b60) at nsCycleCollector.cpp:1450
        cp = <value optimized out>
#6  0x0121884c in TraverseImageLoader (aKey=0xab5352f0, aData=..., 
    aClosure=0xbff7146c) at nsPresContext.cpp:314
        cb = 0x91001b60
#7  0x0121c8ad in nsBaseHashtable<nsPtrHashKey<void const>, nsCOMPtr<nsImageLoader>, nsImageLoader*>::s_EnumStub (table=0xb020982c, hdr=0xab694060, 
    number=3, arg=0xbff71388)
    at ../../dist/include/xpcom/nsBaseHashtable.h:346
        ent = 0x2137d58
        eargs = 0x91001b60
#8  0x018d98af in PL_DHashTableEnumerate (table=0xb020982c, 
    etor=0x121c894 <nsBaseHashtable<nsPtrHashKey<void const>, nsCOMPtr<nsImageLoader>, nsImageLoader*>::s_EnumStub(PLDHashTable*, PLDHashEntryHdr*, PRUint32, void*)>, arg=0xbff71388) at pldhash.c:735
        entryAddr = 0xab694060 "\334\227\276\b\360RS\253`\033"
        entryLimit = 0xab694c00 ""
        i = 4
        capacity = <value optimized out>
        entrySize = 12
        ceiling = <value optimized out>
        didRemove = 0
        entry = 0xab694060
        op = <value optimized out>
#9  0x0121cc62 in nsBaseHashtable<nsPtrHashKey<void const>, nsCOMPtr<nsImageLoader>, nsImageLoader*>::Enumerate (this=0xb020982c, 
    enumFunc=0x1218837 <TraverseImageLoader(void const*, nsCOMPtr<nsImageLoader>&, void*)>, userArg=0xbff7146c)
    at ../../dist/include/xpcom/nsBaseHashtable.h:221
        enumData = {
          func = 0x1218837 <TraverseImageLoader(void const*, nsCOMPtr<nsImageLoader>&, void*)>, userArg = 0xbff7146c}



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Bug Zapper 2010-11-03 15:58:21 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-12-03 15:15:52 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.